org.apache.cassandra.thrift

## Enum Compression

- java.lang.Object
- - java.lang.Enum<Compression>
  - - org.apache.cassandra.thrift.Compression

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Compression>, org.apache.thrift.TEnum

    public enum Compression
    extends java.lang.Enum<Compression>
    implements org.apache.thrift.TEnum

CQL query compression

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GZIP`
`NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Compression` `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static Compression` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Compression[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GZIP

    public static final Compression GZIP

#### NONE

    public static final Compression NONE

### Method Detail

#### values

    public static Compression[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Compression c : Compression.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Compression valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static Compression findByValue(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.